blfwk::DataPacket::FileDataConsumer Class Reference

Write file data for data phase receive. More...

`#include <Command.h>`

Inheritance diagram for blfwk::DataPacket::FileDataConsumer:
[legend]
Collaboration diagram for blfwk::DataPacket::FileDataConsumer:
[legend]

## Public Member Functions

| FileDataConsumer ()
| Default constructor.
virtual | ~FileDataConsumer ()
| Destructor.
bool | init (std::string filePath)
| Initialize with a file path. More...
virtual void | processData (const uint8_t *data, uint32_t size)
| Process the next data chunk. More...
virtual void | finalize ()
| Finalize processing.

## Protected Attributes

std::string | m_filePath
| Data file path.
FILE * | m_filePointer
| Data file pointer.

## Detailed Description

Write file data for data phase receive.

## Member Function Documentation

bool blfwk::DataPacket::FileDataConsumer::init | ( | std::string | filePath | ) |

Initialize with a file path.

See host_command.h for documentation on this function.

void blfwk::DataPacket::FileDataConsumer::processData | ( | const uint8_t * | data,
|  | uint32_t | size
| ) |  |

virtual

Process the next data chunk.

See host_command.h for documentation on this function.

Implements blfwk::DataPacket::DataConsumer.

The documentation for this class was generated from the following files:

- Command.h
- Command.cpp